# Interface XPathNodes

All Superinterfaces:
  `Iterable<Node>`

public interface XPathNodes extends Iterable<Node>
XPathNodes represents a set of nodes selected by a location path as specified in XML Path Language (XPath) Version 1.0, 3.3 Node-sets.

Since:
  9

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Node`
  `get(int index)`
  Returns a Node at the specified position
  `Iterator<Node>`
  `iterator()`
  Returns an iterator of the Nodes.
  `int`
  `size()`
  Returns the number of items in the result

  ### Methods declared in interface Iterable

  `forEach, spliterator`

- ## Method Details

  - ### iterator

    Iterator<Node> iterator()
    Returns an iterator of the Nodes.
    Specified by:
      `iterator` in interface `Iterable<Node>`
    Returns:
      an Iterator.

  - ### size

    int size()
    Returns the number of items in the result
    Returns:
      The number of items in the result

  - ### get

    Node get(int index) throws XPathException
    Returns a Node at the specified position
    Parameters:
      `index` - Index of the element to return.
    Returns:
      The Node at the specified position.
    Throws:
      `XPathException` - If the index is out of range (index < 0 || index >= size())